<?php
App::uses('EvShippingAppModel', 'EvShipping.Model');
/**
 * ShippingRule Model
 *
 * @property ShippingRuleData $ShippingRuleData
 * @property Zone $Zone
 */
class ShippingRule extends EvShippingAppModel {

/**
 * Display field
 *
 * @var string
 */
	public $displayField = 'name';

/**
 * Validation rules
 *
 * @var array
 */
	public $validate = array(
		'name' => array(
			'notBlank' => array(
				'rule' => array('notBlank'),
				'message' => 'Please enter a name for this shipping rule'
			),
		),
		'class' => array(
			'notBlank' => array(
				'rule' => array('notBlank'),
				'message' => 'A Class must be selected'
			),
		),
	);

	//The Associations below have been created with all possible keys, those that are not needed can be removed

/**
 * hasMany associations
 *
 * @var array
 */
	public $hasMany = array(
		'ShippingRuleData' => array(
			'className' => 'EvShipping.ShippingRuleData'
		)
	);

/**
 * hasAndBelongsToMany associations
 *
 * @var array
 */
	public $hasAndBelongsToMany = array(
		'Zone' => array(
			'className' => 'EvShipping.Zone',
			'joinTable' => 'ev_shipping_shipping_rules_zones'
		)
	);

}
