<?php
App::uses('EvShippingAppModel', 'EvShipping.Model');
/**
 * Zone Model
 *
 * @property Country $Country
 * @property ZoneExtra $ZoneExtra
 * @property ShippingRule $ShippingRule
 */
class Zone extends EvShippingAppModel {

	/**
	 * Display field
	 *
	 * @var string
	 */
	public $displayField = 'name';

	/**
	 * Validation rules
	 *
	 * @var array
	 */
	public $validate = array(
		'country_id' => array(
			'numeric' => array(
				'rule' => array('numeric'),
				'message' => 'Please select a country to link this Zone to'
			),
		),
		'name' => array(
			'notBlank' => array(
				'rule' => array('notBlank'),
				'message' => 'Please enter a name for this Zone'
			),
		),
	);

	//The Associations below have been created with all possible keys, those that are not needed can be removed

	/**
	 * belongsTo associations
	 *
	 * @var array
	 */
	public $belongsTo = array(
		'Country' => array(
			'className' => 'EvCountry.Country'
		)
	);

	/**
	 * hasMany associations
	 *
	 * @var array
	 */
	public $hasMany = array(
		'ZoneExtra' => array(
			'className' => 'EvShipping.ZoneExtra'
		)
	);

	/**
	 * hasAndBelongsToMany associations
	 *
	 * @var array
	 */
	public $hasAndBelongsToMany = array(
		'ShippingRule' => array(
			'className' => 'EvShipping.ShippingRule',
			'joinTable' => 'ev_shipping_shipping_rules_zones'
		)
	);

}
